/*
Теоретичні питання:
1. Чому для роботи з input не рекомендується використовувати клавіатуру?
 Події клавіатури призначені тільки для роботи з клавіатурою. Звичайно, ми можемо їх використати для перевірки вводу в <input>, але будуть прогалини. Наприклад, текст може бути вставлений мишкою при допомозі правого кліку і контекстного меню без жодного натискання клавіші клавіатури.
*/

/*
Реалізувати функцію підсвічування клавіш. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

Технічні вимоги:
- У файлі index.html лежить розмітка для кнопок.
- Кожна кнопка містить назву клавіші на клавіатурі
- Після натискання вказаних клавіш - та кнопка, на якій написана ця літера, повинна фарбуватися в синій колір. При цьому якщо якась інша літера вже раніше була пофарбована в синій колір - вона стає чорною. Наприклад за натисканням Enter перша кнопка забарвлюється у синій колір. Далі, користувач натискає S, і кнопка S забарвлюється в синій колір, а кнопка Enter знову стає чорною.
*/

const myBtns = document.querySelectorAll('.btn');
document.addEventListener('keydown', changeColor);
function changeColor(e) {
  myBtns.forEach(btn =>
    btn.dataset.keycode === e.code
      ? btn.classList.add('blue')
      : btn.classList.remove('blue')
  );
}
